### Enumeration

# GLib LogWriterOutput

since: 2.50

#### Declaration

    enum GLib.LogWriterOutput

#### Description

Return values from `GLogWriterFuncs` to indicate whether the given log entry was successfully handled by the writer, or whether there was an error in handling it (and hence a fallback writer should be used).

If a `GLogWriterFunc` ignores a log entry, it should return `G_LOG_WRITER_HANDLED`.

Available since: 2.50

#### Members

`G_LOG_WRITER_HANDLED`

  Log writer has handled the log entry.

  - Value: `1`
  - Available since: 2.50
`G_LOG_WRITER_UNHANDLED`

  Log writer could not handle the log entry.

  - Value: `0`
  - Available since: 2.50